:root {
    --musta: #000000;
    --valkoinen: #ffffff;
    --sininen: #002A61;
    --valisininen: #004AAD;
    --vaaleansininen: #018ED7;
    --fonttikoko: 18px;
    --turva: 50px;
    --rajoittaja: calc(1250px + (var(--turva) * 2));
    --leipafontti: "Archivo", sans-serif;
    --otsikkofontti: "Archivo", sans-serif;
}

html,
body {
    font-size: var(--fonttikoko);
    font-family: var(--leipafontti);
    margin: 0;
    padding: 0;
    color: var(--sininen);
}

a {
    text-decoration: none;
    transition: 0.25s color;
}


h1, h2, h3, h4, h5 {
    font-family: var(--otsikkofontti);
    margin: 2rem 0 1rem 0;
}

h1 {
    font-size: 2.778rem;
    line-height: 1.300em;
    margin-bottom: 1.080em;
}

h2 {
    font-size: 2rem;
    margin-bottom: 1.389em;
}

h3 {
    font-size: 1.333rem;
}

h4 {
    font-size: 1.15rem;
}

h5 {
    font-size: 1em;
}

p {
    font-size: 1rem;
    line-height: 1.25em;
}

p, h1, h2, h3, h4, h5 {
    word-break: break-word;
    overflow-wrap: break-word;
    font-weight: 900;
}

p {
    font-weight: inherit;
    line-height: 1.667em;
    margin: 2em 0;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

img {
    max-width: 100%;
    height: auto;
}

.rajoittaja {
    width: var(--rajoittaja);
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: var(--turva);
    padding-right: var(--turva);
    box-sizing: border-box;
}

.ylavalikko {
    display: block;
    background: var(--valkoinen);
    color: var(--valkoinen);
    position: relative;
}

.ylavalikko a {
    color: var(--valkoinen);
}

.ylavalikko > .rajoittaja {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    width: 1740px;
    padding-left: var(--turva);
    padding-right: var(--turva);
}

.paalogo {
    display: block;
    width: 300px;
    padding: 1rem 0;
    max-width: 20%;
}

.paalogo img {
    display: block;
}

.mobiilivalikko {
    display: none;
    width: 36px;
    height: 83px;
    padding: 22px 0;
    box-sizing: border-box;
    background: var(--punainen);
    z-index: 6;
    cursor: pointer;
}

.mobiilivalikko_viiva {
    display: block;
    width: 36px;
    height: 5px;
    margin: 6px 0;
    background: var(--sininen);
    transition: 0.4s;
}

.avattu .mobiilivalikko_viiva.viiva1 {
    -webkit-transform: rotate(-45deg) translate(-7px, 7px);
    transform: rotate(-45deg) translate(-7px, 7px);
}

.avattu .mobiilivalikko_viiva.viiva2 {
    opacity: 0;
}

.avattu .mobiilivalikko_viiva.viiva3 {
    -webkit-transform: rotate(45deg) translate(-9px, -8px);
    transform: rotate(45deg) translate(-9px, -8px);
}

.paavalikko {
    display: block;
    max-width: 80%;
}

.paavalikko > ul {
    display: flex;
    align-items: center;
}

.paavalikko li {
    display: block;
    position: relative;
}

.paavalikko a {
    display: block;
    font-size: 1.111rem;
    text-decoration: none;
    padding: 2.195rem 0.833rem;
    line-height: 1em;
    transition: 0.25s color;
    color: var(--sininen);
    font-weight: 700;
}

.paavalikko li:hover > a {
    color: var(--vaaleansininen);
}

.paavalikko ul.sub-menu {
    position: absolute;
    top: calc(100% - 20px);
    left: -0.3167rem;
    min-width: 100%;
    width: 211px;
    background: var(--sininen);
    transition: 0.25s transform;
    transform: scaleY(0);
    transform-origin: top center;
    border: 1px solid var(--vaaleansininen);
    padding: 0.7rem 0;
    z-index: 20;
}

.paavalikko ul.sub-menu ul.sub-menu {
    display: none !important;
}

.paavalikko ul.sub-menu a {
    white-space: nowrap;
    padding: 0.5rem 1.150rem;
    font-size: 0.9rem;
    color: var(--valkoinen);
    font-weight: 400;
    opacity: 1.0;
    transition: 0.25s opacity;
}

.paavalikko ul.sub-menu a:hover {
    opacity: 0.8;
}

.menu-item-has-children > a::after {
    content: '';
    display: inline-block;
    width: 0.600em;
    height: 1em;
    background: url('data:image/svg+xml,<svg id="g8186" xmlns="http://www.w3.org/2000/svg" width="23.957" height="14.487" viewBox="0 0 23.957 14.487"><path id="path8188" d="M-302.131-365.405l-11.979-11.978,2.509-2.509,9.47,9.47,9.47-9.47,2.509,2.509Z" transform="translate(314.11 379.892)" fill="%23018ED7"/></svg>');
    /* # = %23, eli musta HEX #000000 => %23000000 */
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-size: 100% auto !important;
    margin-left: 8px;
}

/*
.menu-item-has-children > a:hover::after {
    background: url('data:image/svg+xml,<svg id="g8186" xmlns="http://www.w3.org/2000/svg" width="23.957" height="14.487" viewBox="0 0 23.957 14.487"><path id="path8188" d="M-302.131-365.405l-11.979-11.978,2.509-2.509,9.47,9.47,9.47-9.47,2.509,2.509Z" transform="translate(314.11 379.892)" fill="%23C0C0C0"/></svg>');
}
*/

li.menu-item-has-children > a {
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero {
    background: var(--sininen);
    text-align: center;
    padding: 10rem 0;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
}

.hero.kokoruutu {
    height: calc(100vh - 99px);
    max-height: 1080px;
    position: relative;
}

.sisalto_osio {
    display: block;
    padding: 7.778rem 0 8.667rem 0;
}

.useampipalsta {
    display: flex;
    flex-wrap: wrap;
    margin-left: calc(var(--turva) * -1);
    margin-right: calc(var(--turva) * -1);
    width: calc(100% + (var(--turva) * 2));
    max-width: calc(100% + (var(--turva) * 2));
    justify-content: center;
}

.useampipalsta > * {
    display: block;
    padding: var(--turva);
    box-sizing: border-box;
}

.rajoittaja > *:first-child,
.useampipalsta > * > *:first-child {
    margin-top: 0;
}

.rajoittaja > *:last-child,
.useampipalsta > * > *:last-child {
    margin-bottom: 0;
}

.sarake12 {
    width: 100%;
}

.sarake11 {
    width: calc((100% / 12) * 11);
}

.sarake10 {
    width: calc((100% / 12) * 10);
}

.sarake9 {
    width: 75%;
}

.sarake8 {
    width: calc((100% / 12) * 8);
}

.sarake7 {
    width: calc((100% / 12) * 7);
}

.sarake6 {
    width: 50%;
}

.sarake5 {
    width: calc((100% / 12) * 5);
}

.sarake4 {
    width: calc((100% / 12) * 4);
}

.sarake3 {
    width: 25%;
}

.sarake2 {
    width: calc((100% / 12) * 2);
}

.sarake1 {
    width: calc(100% / 12);
}

.eiylapadding {
    padding-top: 0;
}

.eialapadding {
    padding-bottom: 0;
}


a.someikoni {
    display: inline-block;
    width: 30px;
    height: 30px;
    opacity: 1.0;
    position: relative;
    cursor: pointer;
    z-index: 0;
}

a.someikoni::before {
    position: absolute;
    content: '';
    display: block;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    transition: 0.25s opacity;
    background: url(images/facebook.svg);
    background-size: 100% !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
}

a.someikoni:hover::before {
    opacity: 0;
}

a.someikoni::after {
    position: absolute;
    content: '';
    display: block;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: 0.25s opacity;
    background: url(images/facebook_hover.svg);
    background-size: 100% !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
}

a.someikoni:hover::after {
    opacity: 1.0;
}

.googlemaps {
    display: block;
    position: relative;
    padding-top: 30%;
    width: 100%;
}

.googlemaps > iframe {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

.alapalkki {
    display: block;
    padding: 8rem 0;
    background: var(--valisininen);
    color: var(--valkoinen);
}

.alapalkki > .rajoittaja {
    display: grid;
    grid-template-columns: 30% 34% 27% 9%;
    gap: 0;
}

.alapalkki > .rajoittaja > * {
    display:block;
    margin: 0;
    line-height: 1em;
}

.alapalkki > .rajoittaja > div > *:first-child {
    margin-top: 0;
    padding-top: 0;
}

.video_overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
    background: rgba(0, 32, 97, 0.65);
    display: flex;
    justify-content: center;
    flex-direction: column;
    color: var(--valkoinen);
}

video#hero-video {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.nappula {
    text-decoration: none;
    background: var(--vaaleansininen);
    color: var(--valkoinen);
    font-weight: 700;
    font-size: 0.889rem;
    border-radius: 1.750em;
    padding: 0.8645em 2em;
    line-height: 1em;
    text-transform: uppercase;
    cursor: pointer;
    transition: 0.25s background;
    display: inline-block;
    border: 0;
}

.nappula:hover {
    background: var(--sininen);
}

.rajoittaja.kapea {
    width: calc(var(--rajoittaja) - 294px);
}

.paavalikko li.eng {
    padding-left: 1.778rem;
    background: url(images/ikoni_uk.svg);
    background-size: 1.778rem auto;
    background-position: left center;
    background-repeat: no-repeat;
    margin-left: 3.111rem;
}

.paavalikko li.eng a {
    font-weight: 400;
}

h3+h1 {
    margin-top: 2.222rem;
}

.bg_kuva {
    background-size: cover !important;
    background-position: center !important;
}

.overlay_sininen {
    display: block;
    position: relative;
}

.overlay_sininen::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--valisininen);
    opacity: 0.95;
}

.overlay_pienempi::before {
    background: #002061;
    opacity: 0.65;
}

.overlay_sininen > .rajoittaja {
    position: relative;
    z-index: 10;
    color: var(--valkoinen);
}

.palvelunosto {
    text-align: center;
    padding-left: 3rem;
    padding-right: 3rem;
}

.bg_sininen {
    background: var(--sininen);
    color: var(--valkoinen);
}

a.ulkoinenlinkki {
    display: block;
    color: var(--valkoinen);
    text-decoration: none;
    min-height: 26px;
    background: url(images/ikoni_ulkoinenlinkki.svg);
    background-size: auto 26px;
    background-position: center left;
    background-repeat: no-repeat;
    line-height: 1.667em;
    padding-left: 2.778em;
    margin: 2.222em 0;
}


.kaksirivissa {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px 17px;
}

.wpcf7-text, .wpcf7-email, .wpcf7-textarea {
    display: block;
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 20px;
    font-size: 1rem;
    padding: 1.1115em 1.222em;
    border: 0;
    font-family: var(--leipafontti);
    /* font-optical-sizing: auto; */
    font-weight: 400;
    border-radius: 0;
    color: var(--musta);
}

.wpcf7-text::placeholder,
.wpcf7-email::placeholder,
.wpcf7-textarea::placeholder {
    color: var(--sininen);
}

span.radio_label {
    display: block;
    margin: 1.5em 0 1em 0;
}

span.wpcf7-form-control.wpcf7-radio {
    display: flex;
    margin-bottom: 1.5rem;
    gap: 2rem;
    flex-wrap: wrap;
}

.wpcf7-radio input {
    display: inline-block;
    font-size: 1em;
    width: 1em;
    height: 1em;
    margin: 0;
    cursor: pointer;
}

.wpcf7-radio label {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}

.wpcf7-submit.nappula {
    margin-top: 3.611rem;
    cursor: pointer;
}

span.wpcf7-list-item-label a {
    color: var(--valkoinen);
    font-weight: 600;
    text-decoration: none;
    transition: 0.25s color;
}

span.wpcf7-list-item-label a:hover {
    color: var(--vaaleansininen);
}

span.wpcf7-form-control.wpcf7-acceptance {
    margin-top: 1.773rem;
    display: block;
    margin-bottom: 1.364rem;
    font-size: 0.909rem;
}

.wpcf7 input[type="checkbox"] {
    font-size: 21px;
    width: 24px;
    height: 24px;
    margin: 0;
    border: none;
    cursor: pointer;
}

.wpcf7-acceptance label {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 11px;
    cursor: pointer;
    text-align: left;
    font-weight: inherit;
}

.keskita {
    text-align: center;
}

.footer_1 {
    padding-right: calc(var(--turva) * 2.1);
}

.footer_2 {
    padding-right: calc(var(--turva) * 1.5);
}

.footer_3 {
    padding-right: calc(var(--turva) * 1);
}

.alapalkki > .rajoittaja > .footer_4 {
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
}

.alapalkki a {
    color: var(--valkoinen);
    text-decoration: none;
}

.alapalkki a:hover {
    color: var(--sininen);
}

.footnote {
    display: block;
    text-align: center;
    background: var(--vaaleansininen);
    color: var(--valkoinen);
    padding-top: 1.111rem;
    padding-bottom: 1rem;
}

p+p > .nappula {
    margin-top: 1.222rem;
}

img.palvelu_ikoni {
    display: block;
    margin: 0 auto;
    height: 60px;
    width: auto;
}

img.palvelu_ikoni+h3 {
    margin-top: 2.778rem;
}

.pieniylapadding {
    padding-top: 2.222rem;
}

h2+a.ulkoinenlinkki {
    margin-top: 4.778rem;
}

.wpcf7 {
    display: block;
    margin-top: 4.944rem;
}

p.yhteystiedot_sijainti {
    background: url(images/ikoni_sijainti.svg);
    background-size: 1em auto;
    background-position: center left;
    background-repeat: no-repeat;
    padding-left: 1.889em;
}

p.yhteystiedot_email {
    background: url(images/ikoni_email.svg);
    background-size: 1em auto;
    background-position: center left;
    background-repeat: no-repeat;
    padding-left: 1.889em;
}

p.yhteystiedot_tel {
    background: url(images/ikoni_tel.svg);
    background-size: 1em auto;
    background-position: center left;
    background-repeat: no-repeat;
    padding-left: 1.889em;
}

.lisalinkki {
     background: url(images/ikoni_oikea.svg);
     background-size: auto 0.778em;
     background-position: center left;
     background-repeat: no-repeat;
     padding-left: 1.444em;
}

.footer_2 p,
.footer_3 p {
    margin: 1.5em 0;
}

.footnote p {
    margin: 0 0 0.25em 0;
}


@media screen and (max-width: 1740px) {
    html,
    body {
        font-size: 16px;
    }

    .sarake1 {
        width: calc((100% / 12) * 2);
    }

    .sarake2 {
        width: 25%;
    }

    .sarake3 {
        width: calc(100% / 3);
    }
}

@media screen and (max-width: 1400px) {
    .paavalikko a,
    .paavalikko ul.sub-menu a {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .sarake1,
    .sarake2,
    .sarake3 {
        width: calc(100% / 3);
    }

    .sarake4,
    .sarake5,
    .sarake6 {
        width: 50%;
    }

    .sarake7,
    .sarake8,
    .sarake9,
    .sarake10,
    .sarake11,
    .sarake12 {
        width: 100%;
    }
}

@media screen and (max-width: 1200px) {
    .footer_1 {
        padding-right: 1.5rem;
    }

    .ylavalikko > .rajoittaja {
        padding-left: 2rem;
        padding-right: 2rem;
    }
}

@media screen and (min-width: 1001px) {
    .paavalikko li:hover > ul.sub-menu {
        transform: scaleY(1.0);
        transition: 0.5s transform;
    }

    .paavalikko {
        display: block !important;
        max-width: 100%;
    }
}

@media screen and (max-width: 1000px) {
    .paalogo {
        max-width: 60%;
    }

    .mobiilivalikko {
        display: block;
    }

    .paavalikko {
        position: absolute;
        top: 100%;
        left: 0;
        background: var(--valkoinen);
        width: 100%;
        text-align: center;
        display: none;
        max-width: 100%;
        z-index: 100;
    }
    
    .paavalikko > ul {
        display: block;
    }
    
    .paavalikko a {
        padding: 1.5rem;
    }

    .paavalikko ul.sub-menu {
        display: none;
        position: relative;
        background: var(--harmaa);
        transform: unset;
    }

    .paavalikko ul.sub-menu a {
        color: var(--sininen) !important;
    }

    .sarake1,
    .sarake2,
    .sarake3,
    .sarake4,
    .sarake5,
    .sarake6 {
        width: 100%;
    }

    .googlemaps {
        padding-top: 50vh;
    }

    .alapalkki > .rajoittaja {
        display: block;
        text-align: center;
    }
    
    .alapalkki > .rajoittaja > * {
        margin: 1rem;
    }
        
    .paavalikko li.eng {
        display: inline-block;
        margin-left: 0;
    }

    p.yhteystiedot_sijainti,
    p.yhteystiedot_email,
    p.yhteystiedot_tel {
        margin: 0.5em 0;
    }

    .alapalkki > .rajoittaja > .footer_2 {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 0 0 2rem 0;
    }

    .footer_1 {
        padding: 0 0 1rem 0;
    }

    .footer_3 {
        padding: 0 0 2rem 0;
    }

    .alapalkki > .rajoittaja > .footer_4 {
        justify-content: center;
    }

    .alapalkki {
        padding: 4rem 0;
    }

    .hero.kokoruutu {
        height: calc(100vh - 83px);
    }

    h1 {
        font-size: 2rem;
    }

    h2 {
        font-size: 1.6rem;
        margin-bottom: 1.389em;
    }

    .sisalto_osio {
        padding: 5rem 0 6rem 0;
    }

    .ylavalikko > .rajoittaja {
        padding-left: 1rem;
        padding-right: 1rem;
    }
}